/*
	sddecchr.c

	% sed_DecChar

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/05/86 jmd	converted to boolean
	11/18/87 jmd 	changed names of some low-level funcs	
	 4/11/88 jmd	added scrollable field handling

	 3/24/89 jmd	added sed_ macros
	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

boolean sed_DecChar(sed_type sed)
/*
	modifies:   same.
	effects:    goes to the previous character in the field.  doesn't
				wrap around to other fields.
*/
{
	int i;

	cs_Assert(sed_Ok(sed), CS_SD_DC_SED, 0);

	if (sed_GetRecordPos(sed) ==  NO_WRITEABLES) {
		return(FALSE);
	}
	else {
		i = menu_GetPrevFieldPos(sed_GetMenu(sed), sed_GetFieldNo(sed), sed_GetRecordPos(sed));
		if (i == AT_END) {
			return(FALSE);
		}      
		else {
			if (sd_goto_char(sed, i)) {
				/* field scrolled, repaint it */
				sd_refresh_field(sed, sed_GetFieldNo(sed));
			}
		}	
	}
	return(TRUE);
}
